Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.trigger
Class TriggerManageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.trigger.TriggerManageException

All Implemented Interfaces:
  java.io.Serializable

    public class TriggerManageException

extends jet.JSException

A `TriggerManageException` ...

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`TriggerManageException(int msgKey)` Constructs a new `TriggerManageException` with the specified message, the cause is not initialized.
`TriggerManageException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new `TriggerManageException` with the specified detailed message and cause.
`TriggerManageException(int msgKey, java.lang.Throwable cause)` Constructs a new `TriggerManageException` with the specified detailed message and cause.
`TriggerManageException(java.lang.String message)` Constructs a new `TriggerManageException` with the specified message, the cause is not initialized.
`TriggerManageException(java.lang.Throwable cause)` Constructs a new `TriggerManageException` with the specified cause.

Method Summary

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TriggerManageException

    public TriggerManageException(int msgKey,
                                  java.lang.Object[] params,
                                  java.lang.Throwable cause)

  Constructs a new `TriggerManageException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - The message key in strJError, for finding the message, and the found message will be logged and showed to user.
    `params` - The parameters used for formatting the message string, can be null. When a message is found with msgKey in strJError, the place holders in the message will be replaced by the strings converted from objects in the params one by one. If there is no place holder in the message, or the params is null, no replacing will happen. When the objects in params are converted into strings, their toString method are called.
    `cause` - The cause, which is saved for later retrieval by the method `getCause`. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### TriggerManageException

    public TriggerManageException(int msgKey,
                                  java.lang.Throwable cause)

  Constructs a new `TriggerManageException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - The message key in strJError, for finding the message, and the found message will be logged and showed to user.
    `cause` - The cause, which is saved for later retrieval by the method `getCause`. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### TriggerManageException

    public TriggerManageException(int msgKey)

  Constructs a new `TriggerManageException` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - The message key in strJError, for finding the message, and the found message will be logged and showed to user.

### TriggerManageException

    public TriggerManageException(java.lang.String message)

  Constructs a new `TriggerManageException` with the specified message, the cause is not initialized.

  Parameters:
    `message` - The detailed message.

### TriggerManageException

    public TriggerManageException(java.lang.Throwable cause)

  Constructs a new `TriggerManageException` with the specified cause.

  Parameters:
    `cause` - The cause that causes the Exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD